Bug 845695 - Ctrl+Alt doesn't work inside w7 guest
Ctrl+Alt doesn't work inside w7 guest
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 18:16 EDT by Gianluca Cecchi
Modified: 2013-07-11 17:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 15:54:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Cecchi 2012-08-03 18:16:56 EDT
Description of problem:
I'm using remote-viewer for a spice enabled w7 guest
I'm using vSphere Client 4.1.0 (build 491557) inside the guest.
When I open the text console of a VM of VMware environment I can enter and use the keyboard, but then I'm not able to exit from it any more.
The combination key that works when using vSphere in physical hw is
Ctrl+Alt  
but pressing it doesn' release the pointer from the vmware guest console.
I'm able to exit with the mouse from the KVM guest window, and use it inside my Fedora 17 system, but if I press again inside guest I found the cursor inside its VM and not able to use w7 system.
Only way is to shutdown the VMware guest.

Version-Release number of selected component (if applicable):
0.5.3-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. start windows 7 32 bit guest
2. start vSphere client inside the w7 guest
3. open console of a VM inside vSphere client and get input inside the VM, then try to exit pressing Ctrl+Alt 
  
Actual results:
unable to exit VMware guest console

Expected results:
possibility to release input and use it in my w7 guest

Additional info:

it seems similar bug that was present in RH EL 6: 
https://bugzilla.redhat.com/show_bug.cgi?id=675767
that is now solved
Comment 1 Fedora End Of Life 2013-07-03 16:01:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Cole Robinson 2013-07-11 15:54:19 EDT
Given impending EOL of F17, this is unlikely to be fixed there, sorry this never received a response. spice in f19 seems to have the patch mentioned in the RHEL bug, so closing as CURRENTRELEASE for F19
Comment 3 Gianluca Cecchi 2013-07-11 17:18:07 EDT
I actually forgot to update this bugzilla as some weeks ago I (incidentally) found a way with the same system I used for the bugzilla (I'm updating right now it to f19).

It is sufficient to press, inside the vSphere guest console this sequence:

Ctrl + Alt + Alt + Alt

keeping pressed Ctrl key while you press the sequence of 3 Alt keys

As soon as you complete the sequence you exit from the vSphere console input and regain the mouse cursor in your w7 guest

Hope it could help others too.

Gianluca

Note You need to log in before you can comment on or make changes to this bug.